Bug 1260444 - [abrt] subdownloader: utf_8.py:16:decode:UnicodeEncodeError: 'ascii' codec can't encode characters in position 7-8: ordinal not in range(128)
[abrt] subdownloader: utf_8.py:16:decode:UnicodeEncodeError: 'ascii' codec ca...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: subdownloader (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8357dd0e52bf9ec3021edaa6e9c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 19:14 EDT by João Carlos Mendes Luís
Modified: 2015-12-02 13:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:14:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.27 KB, text/plain)
2015-09-06 19:14 EDT, João Carlos Mendes Luís
no flags Details
File: environ (2.14 KB, text/plain)
2015-09-06 19:14 EDT, João Carlos Mendes Luís
no flags Details

  None (edit)
Description João Carlos Mendes Luís 2015-09-06 19:14:09 EDT
Description of problem:
Openning a folder

Version-Release number of selected component:
subdownloader-2.0.18-4.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        python /usr/bin/subdownloader
dso_list:       python-libs-2.7.8-11.fc21.x86_64
executable:     /usr/bin/subdownloader
kernel:         4.1.5-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            40024

Truncated backtrace:
utf_8.py:16:decode:UnicodeEncodeError: 'ascii' codec can't encode characters in position 7-8: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/subdownloader/gui/main.py", line 944, in onFolderTreeClicked
    self.SearchVideos(folder_path)
  File "/usr/lib/python2.7/site-packages/subdownloader/gui/main.py", line 781, in SearchVideos
    videos_found,subs_found = FileScan.ScanFilesFolders(path,recursively = True,report_progress = self.progress)
  File "/usr/lib/python2.7/site-packages/subdownloader/FileManagement/FileScan.py", line 43, in ScanFilesFolders
    videos_found, subs_found = ScanFolder(path,recursively = True,report_progress=report_progress, progress_end=progress_end)
  File "/usr/lib/python2.7/site-packages/subdownloader/FileManagement/FileScan.py", line 104, in ScanFolder
    report_progress(count,_("Parsing sub: %s") % os.path.basename(filepath).decode(sys.getfilesystemencoding()))
  File "/usr/lib64/python2.7/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 7-8: ordinal not in range(128)

Local variables in innermost frame:
input: u'Informa\xe7\xf5es Importantes Sobre  o Filme.txt'
errors: 'strict'
Comment 1 João Carlos Mendes Luís 2015-09-06 19:14:12 EDT
Created attachment 1070782 [details]
File: backtrace
Comment 2 João Carlos Mendes Luís 2015-09-06 19:14:13 EDT
Created attachment 1070783 [details]
File: environ
Comment 3 Fedora End Of Life 2015-11-04 05:37:10 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:14:56 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.